SystemOrganization addCategory: #'FS-FileStream'!

RWBinaryOrTextStream subclass: #FSFileStream
	instanceVariableNames: 'store path'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FS-FileStream'!

!FSFileStream commentStamp: 'cwp 11/18/2009 11:24' prior: 0!
I am an abstract superclass for classes that provide FileStream-compatible streams, for using alternate filesystems from legacy code.!

!FSFileStream class methodsFor: 'instance creation' stamp: 'cwp 2/19/2011 01:17'!
on: aCollection store: aStore path: aPath
	^ (self on: aCollection)
		setStore: aStore path: aPath;
		yourself! !

!FSFileStream methodsFor: 'private' stamp: 'DamienPollet 2/5/2011 00:58'!
on: aCollection
	super on: aCollection.
	readLimit := collection size.! !

!FSFileStream methodsFor: 'accessing' stamp: 'cwp 2/19/2011 01:18'!
setStore: aStore path: aPath
	store := aStore.
	path := aPath.! !
